service:
  voice:
    type: LoadBalancer
    annotations:
      metallb.universe.tf/address-pool: even-pool
    loadBalancerIP: 44.34.132.17
ingress:
  http:
    enabled: true
    hosts:
      - host: m17.ingress.k8s.memhamwan.net
        paths:
          - path: /
            pathType: Prefix
      - host: m17.memhamwan.net
        paths:
          - path: /
            pathType: Prefix
    annotations:
      kubernetes.io/tls-acme: "true"
      kubernetes.io/ingress.class: nginx
      cert-manager.io/cluster-issuer: letsencrypt-prod
    tls:
      - hosts:
          - m17.ingress.k8s.memhamwan.net
          - m17.memhamwan.net
        secretName: gomrefdash-tls
additionalContainers:
  gomrefdash:
    env:
      - name: GOMREFDASH_HOSTPORT
        value: :3000
      - name: GOMREFDASH_IPV4
        value: 44.34.132.17
      - name: GOMREFDASH_IPV6
        value: NONE
      - name: GOMREFDASH_REFRESH
        value: 20
      - name: GOMREFDASH_LASTHEARD
        value: 20
      - name: GOMREFDASH_EMAIL
        value: netops@memhamwan.org
      - name: GOMREFDASH_MREFFILE
        value: /var/log/mrefd/mrefd.xml
    volumeMounts:
      - mountPath: /var/log/mrefd
        name: shared
persistence:
  shared:
    enabled: true
    type: emptyDir
    mountPath: /var/log/mrefd
    medium: Memory
